/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.selenium.alerts.popups;

import io.github.bonigarcia.wdm.WebDriverManager;
import org.openqa.selenium.Alert;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;

/**
 *
 * @author omozegieaziegbe
 */
public class SeleniumAlertsPopups {
    


    public static void main(String[] args) {
        WebDriverManager.chromedriver().setup();
        WebDriver driver = new ChromeDriver();

        driver.get("http://localhost:8383/popup-demo/index.html");

        // Trigger the simple alert
        driver.findElement(By.id("simpleAlertButton")).click();

        // Switch to the alert
        Alert alert = driver.switchTo().alert();

        // Read the alert message
        System.out.println("Alert Text: " + alert.getText());

        // Accept the alert
        alert.accept();

        driver.quit();
    }
}
